- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Protected Member Functions

# QStyleOptionFrame Class Reference

Search for all occurrences

## Detailed Description

Definition at line 118 of file qstyleoption.h.

`#include <qstyleoption.h>`

Inheritance diagram for QStyleOptionFrame:
[legend]

List of all members.

## Public Types
enum | StyleOptionType { Type = SO_Frame }
enum | StyleOptionVersion { Version = 1 }
## Public Member Functions
| QStyleOptionFrame ()
| QStyleOptionFrame (const QStyleOptionFrame &other)
## Public Attributes
int | lineWidth
int | midLineWidth
## Protected Member Functions
| QStyleOptionFrame (int version)

## Member Enumeration Documentation

enum StyleOptionType

Search for all occurrences

Enumerator:

  Type | Search for all occurrences

Reimplemented from QStyleOption.

Definition at line 121 of file qstyleoption.h.

    { Type = SO_Frame };

enum StyleOptionVersion

Search for all occurrences

Enumerator:

  Version | Search for all occurrences

Reimplemented from QStyleOption.

Reimplemented in QStyleOptionFrameV2, and QStyleOptionFrameV3.

Definition at line 122 of file qstyleoption.h.

    { Version = 1 };

## Constructor & Destructor Documentation

QStyleOptionFrame | ( |  | ) |

QStyleOptionFrame | ( | const QStyleOptionFrame & | other | ) | `[inline]`

Definition at line 128 of file qstyleoption.h.

    : QStyleOption(Version, Type) { *this = other; }

QStyleOptionFrame | ( | int | version | ) | `[protected]`

## Member Data Documentation

int lineWidth

Search for all occurrences

Definition at line 124 of file qstyleoption.h.

int midLineWidth

Search for all occurrences

Definition at line 125 of file qstyleoption.h.

The documentation for this class was generated from the following file:

- QtGui/qstyleoption.h

QStyleOptionFrame QStyleOptionFrame QStyleOptionFrame QStyleOptionFrame QStyleOptionFrame QStyleOptionFrame QStyleOptionFrame QStyleOptionFrame QStyleOptionFrame QStyleOptionFrame
QStyleOptionFrame QStyleOptionFrame QStyleOptionFrame QStyleOptionFrame QStyleOptionFrame QStyleOptionFrame QStyleOptionFrame QStyleOptionFrame QStyleOptionFrame QStyleOptionFrame